Bug 154457 - [bsd.xorg.mk] [patch] make fc-cache not search user dirs for fonts when installing packages and make it less chatty
[bsd.xorg.mk] [patch] make fc-cache not search user dirs for fonts when insta...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
Depends on:
  Show dependency treegraph
Reported: 2011-02-02 03:30 UTC by steve
Modified: 2011-02-25 17:21 UTC (History)
0 users

See Also:

file.diff (896 bytes, patch)
2011-02-02 03:30 UTC, steve
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2011-02-02 03:30:04 UTC
fc-cache calls created by bsd.xorg.mk search user dirs by default. They also have a verbose flag. Removing the search of user dirs by adding -s should speed up installation slightly. Removing verbose flag will make things less chatty during package install and make it easier for users to see useful messages.

Fix: see attached

Patch attached with submission follows:
How-To-Repeat: Install any package which calls fc-cache
Comment 1 Mark Linimon freebsd_committer 2011-02-02 04:22:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer(s).
Comment 2 Martin Wilke freebsd_committer 2011-02-23 15:11:49 UTC
State Changed
From-To: open->patched

- patched in the xorg repo
Comment 3 Martin Wilke freebsd_committer 2011-02-25 17:21:41 UTC
State Changed
From-To: patched->closed

Committed. Thanks!